DC-TOOL(1)

NAME
dc-tool - Manage contributions to contributors.debian.org

DESCRIPTION
usage: dc-tool [-h] [--debug] [--verbose] [--baseurl url] [--source SOURCE] [--auth-token AUTH_TOKEN] [--json] [--post] [--method method] [--mine conffile] [--mine-documentation] [source(s) ...]

  positional arguments:

source(s)
    JSON file(s) to post if --mine is not provided

  options:

-h, --help
    show this help message and exit

--debug
    enable debugging output

--verbose
    enable verbose output

--baseurl url
    URL to post data to (default: https://contributors.debian.org/)

--source SOURCE
    Data source name

--auth-token AUTH_TOKEN
    Authentication token. Use @file to use the file content as auth token.

--json
    write the JSON submission to standard output

--post
    POST contribution data to the site

--method method
    Submission method ('replace' or 'extend')

--mine conffile
    Perform data mining using the given config file

--mine-documentation
    Print data mining documentation in reStructuredText format